Article ID: 6284, created on Jul 14, 2009, last review on Aug 12, 2014

  • Applies to:
  • Plesk for Linux/Unix

Résolution

Oui, Parallels Plesk Panel prend en charge mysql5 et php5. Voici de plus amples détails :

Cette prise en charge signifie qu'il n'y a aucun point de conflit entre le code de Parallels Plesk et mysql5 et php5. En général, si vous remplacez mysql4 par mysql5, cela n'affectera pas Parallels Plesk Panel en lui-même et toutes les demandes SQL que Parallels Plesk Panel lui envoie à partir d'un emplacement de Parallels Plesk Panel seront traitées sans le moindre problème. Il n'y a aucune dépendance qui ne permet pas d'installer mysql5.
Pour ce qui est de PHP, notez tout d'abord que nous parlons du PHP utilisé par les sites Web hébergés, il est chargé par la copie client d'Apache sous forme de module (le panneau de contrôle Parallels Plesk Panel lui-même utilise une copie de serveur Apache autonome avec un autre PHP compilé). Si vous regardez dans les configurations Apache, vous y trouverez que les directives pour les modules hp4 et php5 sont toujours comprises. Si vous remplacez le module php4 avec php5 et redémarrez Apache, vos sites et scripts PHP continuent de fonctionner sans problème.

Ni mysql ni php ne fait part de Parallels Plesk Panel. Parallels ne crée pas ses propres packs mysql et php.  De plus, Parallels ne compile pas et offre openssl, perl, xinetd et beaucoup d'autres applications systèmes utilisées par Parallels Plesk Panel. Parallels Plesk Panel utilise les services standards qui sont installés sur le système. Si mysql/php sont détectés sur le système dans lequel Parallels Plesk Panel est installé, Parallels Plesk Panel les utilisera. Si ces installations ne sont pas détectées, Parallels Plesk Panel téléchargera et installera les packs standards du vendeur d'OS à partir du serveur autoinstall (d'installation automatique).

L'on peut dire la même chose sur l'installation de Parallels Virtuozzo Containers. Les templates d'applications et d'OS de Parallels Virtuozzo Containers sont uniquement créés par Parallels sous forme de copie de packs standards de la part des vendeurs d'OS.

En général, Parallels Plesk Panel est testé et orienté sur des installations d'OS standards avec les packs standards de vendeurs d'OS. Si mysql/php v5 sont disponibles chez le vendeur d'OS, par ex., dans SuSE 10.1 ou FedoraCore 5, Plesk est testé avec eux. Si une ancienne version de FedoraCore 1 offre mysql3, le build Parallels Plesk Panel pour cet OS est testé avec. Le code Parallels Plesk est quasi identique pour tous les OS et il n'y a aucun problème d'ordre général avec mysql5 et php5 sur 8.x. Les deux sont pris en charge et doivent fonctionner sans le moindre problème.

Quant aux installations mysql5/php5, il n'y a aucune recommandation ou étape spécifique car toutes les étapes sont identiques à la mise à jour des autres applications ("utilisez `rpm -U` pour les OS similaires à RedHat "). Obtenez les mises à jour du pack chez le vendeur d'OS et utilisez-les. Si le vendeur d'OS n'offre pas de tels packs, mysql/php v5 que vous recherchez ne peut être fourni que par une tierce partie. Vous pouvez trouver des centaines de builds personnalisés dans le monde, par ex., le bien connu http://www.atomicrocketturtle.com est une formidable source pour de telles mises à jour pendant plusieurs années. Même si Parallels ne peut rien garantir officiellement pour les mises à jour des tierces parties, si vous obtenez un pack personnalisé qui correspond à votre environnement d'OS, vous n'aurez aucun problème avec. La plupart des problèmes qui peuvent apparaître avec ces mises à jour sont généralement associées aux dépendances envers les applications système ou tierces et peuvent être résolus en fonction. Les admins avancés peuvent même compiler à partir des sources.
 
Si vous trouvez le problème, veuillez le signaler en anglais à bugreport@parallels.com en décrivant le problème : ce que vous allez faire, où et quel type d'erreur se produit, détails du système : OS, version/build Parallels Plesk Panel, builds mysql/php, etc. S'il est découvert qu'il s'agit d'un problème réel de Parallels Plesk Panel, il sera corrigé dans d'autres mises à jour.

Informations supplémentaires

Remarque :

Parallels Plesk Panel prend entièrement en charge MySQL 5 depuis la version 8.1 de Parallels Plesk Panel.

Articles associés :

Si php est mis à niveau vers php5 sur Debian, le panneau de Paralells Plesk Panel s'arrête

Comment puis-je mettre à niveau PHP vers la version 5 sur le serveur Debian avec Parallels Plesk Panel installé ?

Est-il possible d'utiliser en même temps php4 et php5 pour les applications Web ?



a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF